﻿using System;
using Microsoft.Win32;

namespace DerpingDrivers.Util
{
    public static class CodeIntegrityPolicyHelper
    {
        public static bool WhqlDeveloperTestMode
        {
            get
            {
                var value = (int?) Registry.GetValue(@"HKEY_LOCAL_MACHINE\System\CurrentControlSet\Control\CI\Policy",
                    "WhqlDeveloperTestMode", null);

                if (value == null) return false;

                return value > 0;
            }

            set => Registry.SetValue(@"HKEY_LOCAL_MACHINE\System\CurrentControlSet\Control\CI\Policy",
                "WhqlDeveloperTestMode", Convert.ToInt32(value), RegistryValueKind.DWord);
        }
    }
}